#!/bin/sh -eu

. livecd-functions

[ -d "$destdir/root" ] || return 0
mkdir -p -m700 -- "$destdir/root/.install-log"

cd "$destdir/root/.install-log"

# Copy alteratord.log from temporary dir to /tmp
cp /var/run/alteratord/alteratord.log /tmp ||:

for f in install2 pkg-install remount wizard alteratord x11; do
	[ -f "/tmp/$f.log" ] || continue
	sed -r 's;( passwd_?([12]|auto) ")([^"]|[\\]["])*";\1*";g' <"/tmp/$f.log" >"$f.log"
done
