#!/bin/sh

#     DESCRIPTION
#
# Remove LiveCD REMOUNT_ROOTFS_RW_COMMAND.
#


. livecd-functions

verbose "Remove LiveCD REMOUNT_ROOTFS_RW_COMMAND"

cfg="$target_dir/etc/sysconfig/init"

if [ -w "$cfg" ]; then
    sed -i -e "/^[:space:]*REMOUNT_ROOTFS_RW_COMMAND/d" "$cfg"
else
    verbose "Can't find writable $cfg"
fi
