#!/bin/sh

#     DESCRIPTION
#
# Save system-wide locale settings.

. livecd-functions

configs="${configs:-} /etc/sysconfig/i18n"
configs="${configs:-} /etc/sysconfig/consolefont"
configs="${configs:-} /etc/sysconfig/keyboard"
configs="${configs:-} /etc/X11/xinit/Xkbmap"
configs="${configs:-} /etc/locale.conf"

verbose "Save locale settings."

for i in $configs; do
    if [ -r "$i" ]; then
        verbose "Copy $i"
        cp -f -a "$i" "$target_dir/$i"
    else
        verbose "Missing $i file"
    fi
done

exit 0
