#!/bin/sh

#     DESCRIPTION
#
#     Tweak /etc/fstab for installed system.

. livecd-functions

dst_fstab="$target_dir/etc/fstab"

verbose "Tweak /etc/fstab"

if ! [ -w "$dst_fstab" ]; then
    fatal "Destination $dst_fstab doesn't exist."
fi

sed -i -e '/^\/dev\/root/d' "$dst_fstab"

exit 0
