#!/bin/sh

#     DESCRIPTION
#
# Copy current /etc/X11/xorg.conf to installed system.

. livecd-functions

xorgconf="/etc/X11/xorg.conf"

verbose "Copy $xorgconf"

if ! [ -r "$xorgconf" ]; then
    fatal "$xorgconf doesn't exist"
fi

cp -f "$xorgconf" "$target_dir/$xorgconf"

exit 0
