#!/bin/sh -efu

#     DESCRIPTION
#
#   Delete LiveCD user.

. livecd-functions

username="altlinux"

verbose "Delete LiveCD user: $username"

exec_chroot userdel -r -f -- "$username"

for i in "/tmp" "/var/tmp"; do
    exec_chroot /bin/find "$i" -mindepth 1 -maxdepth 1 -exec rm -rf -- '{}' ';'
done

if [ -f "$target_dir/etc/sudoers" ]; then
    verbose "Remove LiveCD user from sudoers file."
    exec_chroot sed -i -e "/^$username/d" -- "/etc/sudoers"
else
    verbose "Can't find sudoers file."
fi

exit 0
